1

I want to install Red Suite 4 (search on Google shows this problem is with installing other apps too) on my 64bit machine.

I have installed the prerequisite packages: linux32 and ia32-libs (for 32bit support).

When I try to install the app I get this error:

 sudo ./Installer_Red_Suite_4_4.2.3_255_Linux-x86 
    invalid command name "bind"
        while executing
    "::unknown bind Text <Tab>"
        ("uplevel" body line 1)
        invoked from within
    "uplevel 1 $next $args"
        (procedure "::obj::Unknown" line 3)
        invoked from within
    "bind Text <Tab>"
        (procedure "::InstallJammer::InitializeGui" line 19)
        invoked from within
    "::InstallJammer::InitializeGui "
        (procedure "::InstallJammer::InitInstall" line 68)
        invoked from within
    "::InstallJammer::InitInstall"
        (file "/installkitvfs/main.tcl" line 37049)

I've googled - InstallJammer is "Multiplatform GUI installer". What could be wrong - bind is bash command so I don't know what's wrong.

  • Can you run bind from the console? – LnxSlck Aug 17 '12 at 20:50
  • yes, bind works alright. – Primož Kralj Aug 17 '12 at 21:36
1

The problem was with missing 32bit gtk2 library. Check out this "bug" discussion.

| improve this answer | |
0

My problem that caused exactly the same error message, was that I had mounted /tmp noexec.

The following will mount /tmp with execution rights:

sudo mount -o remount,exec /tmp
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.